package net.minecraft.src.forestry.api;

import net.minecraft.src.EntityPlayer;
import net.minecraft.src.IInventory;
import net.minecraft.src.ItemStack;
import net.minecraft.src.NBTTagCompound;
import net.minecraft.src.TileEntity;

public abstract class Boiler {
	public int liquidResourceId;
	public int liquidProductId;
	public String gfxBase;
	
	public abstract void openGui(EntityPlayer player, IInventory tile);
	
	public abstract void update();
	public abstract void burn();
	public abstract boolean isWorking();
	public abstract String getName();
	
	public abstract boolean addItem(ItemStack stack, boolean doAdd, Orientations from);
	public abstract ItemStack extractItem(boolean doRemove, Orientations from);
	
	public int getSizeInventory() { return 0; }
	public ItemStack getStackInSlot(int i) { return null; }
	public ItemStack decrStackSize(int i, int j) { return null; }
	public void setInventorySlotContents(int i, ItemStack itemstack) {}
	
	public void writeFromNBT(NBTTagCompound nbttagcompound) {
		nbttagcompound.setInteger("liquidRessourceId", liquidResourceId);
	}
	
	public void readFromNBT(NBTTagCompound nbttagcompound) {
		liquidResourceId = nbttagcompound.getInteger("liquidRessourceId");
	}
}
