package net.minecraft.src.forestry.api;

import net.minecraft.src.ItemStack;

public class Yield {
	public final int ripeId;
	public final ItemStack plucked;
	public final boolean createWindfall;
	public final ItemStack windfall;
	private final boolean metaSensitive;
	private final boolean metaExact;
	private final int metaRequired;
	
	public Yield(int ripeId, ItemStack plucked)
	{
		this(ripeId, plucked, false, null, false, false, 0);
	}
	
	public Yield(int ripeId, ItemStack plucked, boolean createWindfall, ItemStack windfall, boolean metaSensitive, boolean metaExact, int metaRequired)
	{
		this.ripeId = ripeId;
		this.plucked = plucked;
		this.createWindfall = createWindfall;
		this.windfall = windfall;
		this.metaSensitive = metaSensitive;
		this.metaExact = metaExact;
		this.metaRequired = metaRequired;
	}
	
	public boolean validateMeta(int meta)
	{
		if(!metaSensitive)
			return true;
		
		if(metaExact)
		{
			if(metaRequired == meta)
				return true;
		}
		else
		{
			if(meta >= metaRequired)
				return true;
		}
		
		return false;
	}
}
